com.sun.jna.platform.win32

## Class WinRas.RASDIALPARAMS

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASDIALPARAMS

Direct Known Subclasses:
  WinRas.RASDIALPARAMS.ByReference

Enclosing interface:
  WinRas

    public static class WinRas.RASDIALPARAMS
    extends Structure

The RASDIALPARAMS structure contains parameters that are used by RasDial to establish a remote access connection.

### Nested Class Summary

Nested Classes
`static class` `WinRas.RASDIALPARAMS.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`int` `dwSize` A value that specifies the size, in bytes, of the structure.
`char[]` `szCallbackNumber` A null-terminated string that contains a callback phone number.
`char[]` `szDomain` A null-terminated string that contains the domain on which authentication is to occur.
`char[]` `szEntryName` A null-terminated string that contains the phone-book entry to use to establish the connection.
`char[]` `szPassword` A null-terminated string that contains the user's password.
`char[]` `szPhoneNumber` A null-terminated string that contains an overriding phone number.
`char[]` `szUserName` A null-terminated string that contains the user's user name.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`RASDIALPARAMS()`
`RASDIALPARAMS(Pointer memory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List<java.lang.String>` `getFieldOrder()` Return this Structure's field names in their proper order.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public int dwSize

A value that specifies the size, in bytes, of the structure.

#### szEntryName

    public char[] szEntryName

A null-terminated string that contains the phone-book entry to use to establish the connection. An empty string ("") specifies a simple modem connection on the first available modem port, in which case a non-empty szPhoneNumber must be provided.

#### szPhoneNumber

    public char[] szPhoneNumber

A null-terminated string that contains an overriding phone number. An empty string ("") indicates that the phone-book entry's phone number should be used. If szEntryName is "", szPhoneNumber cannot be "".

#### szCallbackNumber

    public char[] szCallbackNumber

A null-terminated string that contains a callback phone number. An empty string ("") indicates that callback should not be used. This string is ignored unless the user has "Set By Caller" callback permission on the RAS server. An asterisk indicates that the number stored in the phone book should be used for callback.

#### szUserName

    public char[] szUserName

A null-terminated string that contains the user's user name. This string is used to authenticate the user's access to the remote access server.

#### szPassword

    public char[] szPassword

A null-terminated string that contains the user's password. This string is used to authenticate the user's access to the remote access server.

#### szDomain

    public char[] szDomain

A null-terminated string that contains the domain on which authentication is to occur. An empty string ("") specifies the domain in which the remote access server is a member. An asterisk specifies the domain stored in the phone book for the entry.

### Constructor Detail

#### RASDIALPARAMS

    public RASDIALPARAMS()

#### RASDIALPARAMS

    public RASDIALPARAMS(Pointer memory)

### Method Detail

#### getFieldOrder

    protected java.util.List<java.lang.String> getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.